<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<xs:schema version="1.0" targetNamespace="http://esf.gov.kz/esf/model/isgo/invoice/action/v1" xmlns:tns="http://esf.gov.kz/esf/model/isgo/invoice/action/v1" xmlns:v1="http://esf.gov.kz/esf/model/isgo/invoice/action/v1" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:ns1="http://esf.gov.kz/esf/model/isgo/invoice/abstractAction">

  <xs:import namespace="http://esf.gov.kz/esf/model/isgo/invoice/abstractAction"/>

  <xs:element name="isgoApproveInvoiceAction" type="tns:IsgoApproveInvoiceActionV1"/>

  <xs:element name="isgoCreateInvoiceAction" type="tns:IsgoCreateInvoiceActionV1"/>

  <xs:complexType name="IsgoApproveInvoiceActionV1">
    <xs:annotation>
      <xs:documentation>Действие по документу ЭСФ в ИС ГО</xs:documentation>
    </xs:annotation>
    <xs:complexContent>
      <xs:extension base="ns1:AbstractApproveIsgoInvoiceAction">
        <xs:sequence>
          <xs:element name="isgoCreateActionSignature" type="xs:string">
            <xs:annotation>
              <xs:documentation>Подпись оригинального запроса НП-заявителя</xs:documentation>
            </xs:annotation>
          </xs:element>
          <xs:element name="rejectReason" type="xs:string" minOccurs="0">
            <xs:annotation>
              <xs:documentation>Причина отклонения</xs:documentation>
            </xs:annotation>
          </xs:element>
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>

  <xs:complexType name="IsgoCreateInvoiceActionV1">
    <xs:annotation>
      <xs:documentation>Действие по документу ЭСФ в ИС ГО</xs:documentation>
    </xs:annotation>
    <xs:complexContent>
      <xs:extension base="ns1:AbstractIsgoCreateInvoiceAction">
        <xs:sequence>
          <xs:element name="originalInvoiceDocumentSignature" type="xs:string">
            <xs:annotation>
              <xs:documentation>Подпись оригинального документа ЭСФ</xs:documentation>
            </xs:annotation>
          </xs:element>
          <xs:element name="reason" type="xs:string" minOccurs="0">
            <xs:annotation>
              <xs:documentation>Основание</xs:documentation>
            </xs:annotation>
          </xs:element>
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
</xs:schema>